function initUi()
  app.registerUi({["menu"] = "Dotted Line", ["callback"] = "tool1", ["accelerator"] = "<Alt>o"})
  app.registerUi({["menu"] = "Standard Line", ["callback"] = "tool2", ["accelerator"] = "<Alt>s"})
  app.registerUi({["menu"] = "Dashed Line", ["callback"] = "tool3", ["accelerator"] = "<Alt>d"})
  app.registerUi({["menu"] = "Dash-Dotted", ["callback"] = "tool4", ["accelerator"] = "<Alt>q"})
end

local blue = 0x0000ff
local yellow = 0xffff00
local red = 0xff0000
local green = 0x00ff00

function tool1()
  app.uiAction({["action"] = "ACTION_TOOL_PEN"})
  app.uiAction({["action"] = "ACTION_TOOL_LINE_STYLE_DOT"}) 
  app.uiAction({["action"] = "ACTION_RULER"})   
  app.uiAction({["action"] = "ACTION_TOOL_FILL", ["enabled"] = false})
end

function tool2()
  app.uiAction({["action"] = "ACTION_TOOL_PEN"})
  app.uiAction({["action"] = "ACTION_TOOL_LINE_STYLE_PLAIN"}) 
  app.uiAction({["action"] = "ACTION_TOOL_FILL", ["enabled"] = false})  
end

function tool3()
  app.uiAction({["action"] = "ACTION_TOOL_PEN"})
  app.uiAction({["action"] = "ACTION_TOOL_LINE_STYLE_DASH"}) 
  app.uiAction({["action"] = "ACTION_TOOL_FILL", ["enabled"] = false})
end

function tool4()
  app.uiAction({["action"] = "ACTION_TOOL_PEN"})
  app.uiAction({["action"] = "ACTION_TOOL_LINE_STYLE_DASH_DOT"})    
  app.uiAction({["action"] = "ACTION_TOOL_FILL", ["enabled"] = false})
end
